# 32/64bit spec-file
#
%define name conky
%define	version	1.9.0
%define	release	%mkrel 3
%define	section	Monitoring
%define	summary	A system monitor for X

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://conky.sourceforge.net/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/%{title}/conky-%{version}.tar.xz
Source1:	conky.conf
Source2:	kconky.desktop
Source3:	gconky.desktop
Source4:	gconky.sh
BuildRoot:      %{_tmppath}/%{title}-%{version}-%{release}-root
BuildRequires:	%{_lib}xft-devel
BuildRequires:	%{_lib}xt-devel
BuildRequires:	%{_lib}xdamage-devel
BuildRequires:	%{_lib}xext-devel
BuildRequires:	%{_lib}atk1.0_0
BuildRequires:	%{_lib}cairo2
BuildRequires:	%{_lib}fontconfig1
BuildRequires:	%{_lib}freetype6
BuildRequires:	%{_lib}iw29-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0
BuildRequires:	%{_lib}gtk+-x11-2.0_0
BuildRequires:	%{_lib}glib2.0_0
BuildRequires:	%{_lib}mcs-devel
BuildRequires:	%{_lib}pango1.0_0
BuildRequires:	%{_lib}png3
BuildRequires:	%{_lib}x11_6
BuildRequires:	%{_lib}xau6
BuildRequires:	%{_lib}xdamage1
BuildRequires:	%{_lib}xdmcp6
BuildRequires:	%{_lib}xext6
BuildRequires:	%{_lib}xfixes3
BuildRequires:	%{_lib}xft2
BuildRequires:	%{_lib}xml2_2
BuildRequires:	%{_lib}xrender1
BuildRequires:	zlib1
BuildRequires:	gettext-devel
BuildRequires:	%{_lib}curl4-devel
BuildRequires:	%{_lib}imlib2-devel
BuildRequires:	%{_lib}lua5.1-devel
BuildRequires:	%{_lib}tolua++-devel
Requires:	%{_lib}imlib2_1
Requires:	%{_lib}lua5.1
Requires:	tolua++

%description
A system monitor for X originally based on the torsmo code.
It just keeps on given'er. Yeah.

It is advised you create a .conkyrc file in your home directory
for Conky configuration settings. See
http://conky.sourceforge.net/config_settings.html
to see how to configure your .conkyrc file.

%package -n %{name}-kde-autostart
Summary: Autostart Conky for KDE Desktop
Group: Monitoring
Requires: %name

%description -n %{name}-kde-autostart
Autostart Conky for the KDE 3 desktop. 

%package -n %{name}-mate-autostart
Summary: Autostart Conky for MATE Desktop
Group: Monitoring
Requires: %name
Conflicts: conky-gnome-autostart

%description -n %{name}-mate-autostart
Autostart Conky for the MATE desktop.


%prep
%setup -q -n conky-%{version}

%build
export LDFLAGS="$LDFLAGS -ltinfo"

./autogen.sh --prefix=%{_prefix}
./configure	--prefix=%{_prefix} \
		--sysconfdir=%{_sysconfdir} \
		--mandir=%{_mandir} \
		--libdir=%{_libdir} \
		--enable-wlan \
		--enable-rss \
		--enable-own-window \
		--enable-double-buffer \
		--enable-rss\
		--with-x \
		--enable-imlib2 \
		--enable-ibm \
		--enable-curl \
		--enable-weather-xoap \
		--enable-lua \
		--enable-lua-cairo \
		--disable-static


%make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std DESTDIR=$RPM_BUILD_ROOT

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/conky/conky.conf

mkdir -p $RPM_BUILD_ROOT/%_datadir/autostart
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%_datadir/autostart/kconky.desktop

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/gconky.desktop

mkdir -p $RPM_BUILD_ROOT/%_sbindir
install -m 0755 %SOURCE4 $RPM_BUILD_ROOT/%_sbindir/gconky.sh

#dont need these
rm -f $RPM_BUILD_ROOT/%{_libdir}/conky/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-, root, root)
%{_bindir}/conky
%{_sysconfdir}/conky/conky.conf
%{_mandir}/man1/conky.1.bz2
%{_sysconfdir}/conky/*
%{_libdir}/conky

%files -n %{name}-kde-autostart
%defattr(-, root, root)
%_datadir/autostart/kconky.desktop

%files -n %{name}-mate-autostart
%defattr(-, root, root)
%{_sysconfdir}/xdg/autostart/gconky.desktop
%_sbindir/gconky.sh

%changelog
* Wed Apr 22 2015 bb <Bb> 1.9.0-3pclos2015
- build conky with lua suppport

* Fri May 03 2013 pinoc <vogtpet at gmail.com> 1.9.0-2pclos2013
- rebuild for 32/64

* Sun May 20 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.9.0-1_archie_2012
- 1.9.0

